package cn.edu.whu.boot.collection.service;

import com.github.pagehelper.Page;

import java.util.Map;

public interface ISearchPageService {

    Page<Map<String,Object>> getPageDataByStatus(String tableNameInDB, int status);

    Page<Map<String, Object>> getPageDataByWorkerAndStatus(String tableNameInDB, Integer workerId, int status);

    Page<Map<String,Object>> getPageDataByFuzzySearch(String tableNameInDB, String fieldNameInDB, String searchKey);
    Page<Map<String, Object>> getPageDataByWorkerNoStatus(String tableNameInDb);

}
